POST
/docs/{docId}/disableDisable a document.
Disabled documents cannot be accessed or modified. Moving and renaming a disabled doc is also forbidden, as well as accessing or submitting published forms associated to a disabled document.
Disabled documents, however, can be moved to and restored from the trash.
The operation is non-destructive. Disabled documents can be re-enabled.
Only admin accounts can disable a document.
- IdempotentThe SDK sends
Idempotency-Key, so a retried request is only applied once.
docIdstringrequired
A string id (UUID)
200Document disabled successfully. Returns empty body.
403The caller is not allowed to disable this document
404The document is not found
Error handling
A 403 is returned: The caller is not allowed to disable this document. A 404 is returned: The document is not found.
